import request from '@/utils/request'

// 查询oms销售订单列表
export function listOrder(query) {
  return request({
    url: '/oms/orderInternal/list',
    method: 'get',
    params: query
  })
}

// 查询oms销售订单详细
export function getOrder(id) {
  return request({
    url: '/oms/orderInternal/' + id,
    method: 'get'
  })
}

// 新增oms销售订单
export function addOrder(data) {
  return request({
    url: '/oms/orderInternal',
    method: 'post',
    data: data
  })
}

// 修改oms销售订单
export function updateOrder(data) {
  return request({
    url: '/oms/orderInternal',
    method: 'put',
    data: data
  })
}

// 删除oms销售订单
export function delOrder(id) {
  return request({
    url: '/oms/orderInternal' + id,
    method: 'delete'
  })
}

// 导出oms销售订单
export function exportOrder(query) {
  return request({
    url: '/oms/orderInternal/export',
    method: 'get',
    params: query
  })
  
}